"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function defaultExportReplace() {
    return {
        name: 'transform-replace-export-default',
        visitor: {
            ExportDefaultDeclaration(path, state) {
                const declaration = path.node.declaration;
                const { removeExportDefault } = state.opts;
                if (removeExportDefault) {
                    declaration.type === 'Identifier' ? path.remove() : path.replaceWith(declaration);
                    return;
                }
                if (declaration.type === 'ClassDeclaration' || declaration.type === 'FunctionDeclaration') {
                    // @ts-ignore
                    path.node.type = 'ReturnStatement';
                    // @ts-ignore
                    path.node.argument = declaration;
                    path.replaceWith(path.node);
                }
                else if (declaration.type === 'Identifier') {
                    // declaration.name = `return ${declaration.name}`;
                    // @ts-ignore
                    path.node.type = 'ReturnStatement';
                    // @ts-ignore
                    path.node.argument = declaration;
                    path.replaceWith(path.node);
                }
            },
        },
    };
}
exports.default = defaultExportReplace;
//# sourceMappingURL=index.js.map